@import '../../../../assets/styles/variables';

.input {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  width: 100%;

  &__label {
    margin: 0;
    color: var(--input-txt-color);
    font-size: .75rem;
    line-height: 24px;
    padding-left: $spacing-4;
  }

  &__input {
    outline: unset;
    height: 48px;
    width: 100%;
    border: 1px solid var(--input-txt-border);
    color: var(--input-txt-color);
    padding: $spacing-12 $spacing-8;
    border-radius: 4px;
    font-size: 1.25rem;
    min-width: 200px;

    &::placeholder {
      color: $dim-grey;
      font-style: normal;
      font-size: 1rem;
    }

    &:focus, &:active {
      border-width: 2px;
      border-color: var(--input-txt-border-focus);
    }

    &--error {
      border-width: 2px;
      border-color: $error;
    }
  }

  &__info {
    color: var(--txt-color);
    font-size: 12px;
    line-height: 16px;

    &--error {
      color: red;
    }
  }
}
